# Class Dialog.QualityListener

java.lang.Object
org.jmol.dialog.Dialog.QualityListener

All Implemented Interfaces:
  `EventListener, ChangeListener`

Enclosing class:
  `Dialog`

public class Dialog.QualityListener extends Object implements ChangeListener

## Constructor Summary

Constructors
Constructor
Description
`QualityListener(boolean isJPEG, JSlider slider)`

## Method Summary

Modifier and Type
Method
Description
`void`
`stateChanged(ChangeEvent arg0)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QualityListener

public QualityListener(boolean isJPEG, JSlider slider)

## Method Details

### stateChanged

public void stateChanged(ChangeEvent arg0)

Specified by:
  `stateChanged` in interface `ChangeListener`